Gecode::Search::Meta Namespace Reference

Meta search engine implementations More...

## Namespaces

namespace | Sequential
| Sequential meta search engine implementations
namespace | Parallel
| Parallel meta search engine implementations

## Functions

template<class T, template< class > class E>
Engine * | sequential (T *master, const Search::Statistics &stat, Options &opt)
| Build a sequential engine.
template<class T, template< class > class E>
Engine * | sequential (T *master, SEBs &sebs, const Search::Statistics &stat, Options &opt, bool best)
| Build a sequential engine.
template<class T, template< class > class E>
Engine * | parallel (T *master, const Search::Statistics &stat, Options &opt)
| Build a parallel engine.
template<class T, template< class > class E>
Engine * | parallel (T *master, SEBs &sebs, const Search::Statistics &stat, Options &opt, bool best)
| Build a parallel engine.

## Detailed Description

Meta search engine implementations

## Function Documentation

## sequential() [1/2]

template<class T, template< class > class E>

Engine * Gecode::Search::Meta::sequential | ( | T * | master,
|  | const Search::Statistics & | stat,
|  | Options & | opt )

Build a sequential engine.

## sequential() [2/2]

template<class T, template< class > class E>

Engine * Gecode::Search::Meta::sequential | ( | T * | master,
|  | SEBs & | sebs,
|  | const Search::Statistics & | stat,
|  | Options & | opt,
|  | bool | best )

Build a sequential engine.

## parallel() [1/2]

template<class T, template< class > class E>

Engine * Gecode::Search::Meta::parallel | ( | T * | master,
|  | const Search::Statistics & | stat,
|  | Options & | opt )

Build a parallel engine.

## parallel() [2/2]

template<class T, template< class > class E>

Engine * Gecode::Search::Meta::parallel | ( | T * | master,
|  | SEBs & | sebs,
|  | const Search::Statistics & | stat,
|  | Options & | opt,
|  | bool | best )

Build a parallel engine.